summaryrefslogtreecommitdiff
path: root/tools/to-pack/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/to-pack/test.sh')
-rwxr-xr-xtools/to-pack/test.sh55
1 files changed, 55 insertions, 0 deletions
diff --git a/tools/to-pack/test.sh b/tools/to-pack/test.sh
new file mode 100755
index 0000000..14245a4
--- /dev/null
+++ b/tools/to-pack/test.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+export TEMP_PATH="/home/ultracopier-temp/"
+export WINEBASEPATH="/home/wine/"
+export ULTRACOPIERSOURCESPATH="/root/ultracopier/sources/"
+export BASE_PWD=`pwd`
+
+export ULTRACOPIER_VERSION=`grep -F "ULTRACOPIER_VERSION" ${ULTRACOPIERSOURCESPATH}/Variable.h | grep -F "1.4" | sed -r "s/^.*([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+).*$/\1/g"`
+function valid_ip()
+{
+ local ip=$1
+ local stat=1
+ if [[ $ip =~ ^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$ ]]; then
+ OIFS=$IFS
+ IFS='.'
+ ip=($ip)
+ IFS=$OIFS
+ [[ ${ip[0]} -le 255 && ${ip[1]} -le 255 \
+ && ${ip[2]} -le 255 && ${ip[3]} -le 255 ]]
+ stat=$?
+ fi
+ return $stat
+}
+if ! valid_ip ${ULTRACOPIER_VERSION}; then
+ echo Wrong version: ${ULTRACOPIER_VERSION}
+ exit
+fi
+echo Version: ${ULTRACOPIER_VERSION}
+
+rm -Rf ${TEMP_PATH} > /dev/null 2>&1
+rm -Rf ${ULTRACOPIERSOURCESPATH}/plugins-alternative/CopyEngine/Ultracopier/ > /dev/null 2>&1
+mkdir -p ${TEMP_PATH}
+find ../ -name "Thumbs.db" -exec rm {} \; >> /dev/null 2>&1
+find ../ -name ".directory" -exec rm {} \; >> /dev/null 2>&1
+
+echo "Do the test folder..."
+source sub-script/test.sh
+cd ${BASE_PWD}
+echo "Do the test folder... done"
+
+./4-clean-all.sh
+rm /home/first-world.info/ultracopier/temp/*
+
+
+if [ -f ${TEMP_PATH}/*.7z ]
+then
+ cp /home/ultracopier-temp/*.7z /home/first-world.info/ultracopier/temp/
+fi
+if [ -f ${TEMP_PATH}/*.zip ]
+then
+ cp /home/ultracopier-temp/*.zip /home/first-world.info/ultracopier/temp/
+fi
+if [ -f ${TEMP_PATH}/*-setup.exe ]
+then
+ cp /home/ultracopier-temp/*-setup.exe /home/first-world.info/ultracopier/temp/
+fi